Name:           perl-Parse-CPAN-Packages
Version:        2.38
Release:        1%{?dist}
Summary:        Parse 02packages.details.txt.gz
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Parse-CPAN-Packages/
Source0:        http://www.cpan.org/authors/id/M/MI/MITHALDU/Parse-CPAN-Packages-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Archive::Peek)
BuildRequires:  perl(Compress::Zlib)
BuildRequires:  perl(CPAN::DistnameInfo)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(Moose)
BuildRequires:  perl(Path::Class)
BuildRequires:  perl(PPI)
BuildRequires:  perl(Test::InDistDir)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(version)
Requires:       perl(Archive::Peek)
Requires:       perl(Compress::Zlib)
Requires:       perl(CPAN::DistnameInfo)
Requires:       perl(File::Slurp)
Requires:       perl(Moose)
Requires:       perl(Path::Class)
Requires:       perl(PPI)
Requires:       perl(Test::InDistDir)
Requires:       perl(Test::More)
Requires:       perl(version)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The Comprehensive Perl Archive Network (CPAN) is a very useful collection
of Perl code. It has several indices of the files that it hosts, including
a file named "02packages.details.txt.gz" in the "modules" directory. This
file contains lots of useful information and this module provides a simple
interface to the data contained within.

%prep
%setup -q -n Parse-CPAN-Packages-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Feb 07 2012 Dave Cross <dave@mag-sol.com> 2.35-1
- Specfile autogenerated by cpanspec 1.78.
